#pragma once

#include "../datatable/DataTableUtils.h"
#include "util/simpleobject/AgString.h"

class Element
{

public:  
	Element(const AgString &name, const AgString &value);

    AgString& getName();
    AgString& getValue();
	AgString encode(bool useVisibleSeparators);
  
private:
	AgString name;
	AgString value;
};
